[Unit]
Description=Starts/stops the submit job execute daemon
After=syslog.target time-sync.target jobmon.service

[Service]
Type=forking
User=gridman
ExecStart=/opt/submit/jobExecuter.py
PIDFile=/var/run/submit/submit-jobexe.pid
PermissionsStartOnly=true
ExecStartPre=/usr/bin/install --owner root --group gridman --mode 0774 --directory /var/run/submit
Environment=PYTHONUNBUFFERED=1
StandardOutput=syslog
StandardError=syslog
SyslogIdentifier=SUBMITJOBEXE
#Environment=EXECUTERLOGLEVEL=INFO
#Environment=EXECUTERSYSLOGLOCAL=LOCAL3
#Environment=EXECUTERSYSLOGIDENTIFIER=SUBMITJOBEXE
#Environment=EXECUTERPIDFILE=/var/run/submit/submit-jobexe.pid
#Environment=DAEMONSDIRECTORY=/etc/submit
#Environment=DAEMONSCONFIGURATIONFILE=daemons.conf
#Environment=INFOSDIRECTORY=/etc/submit
#Environment=INFOSCONFIGURATIONFILE=infos.conf

[Install]
WantedBy=multi-user.target

